<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Wrapper (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Wrapper (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/wrapper/Wrapper.html" target="_top">Frames</a></li>
<li><a href="Wrapper.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks.wrapper</div>
<h2 title="Class Wrapper" class="title">Class Wrapper</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.tasks.wrapper.Wrapper</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Wrapper</span>
extends <a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">DefaultTask</a></pre>
<div class="block"><p>Generates scripts (for *nix and windows) which allow you to build your project with Gradle, without having to
 install Gradle.

 <p>When a user executes a wrapper script the first time, the script downloads and installs the appropriate Gradle
 distribution and runs the build against this downloaded distribution. Any installed Gradle distribution is ignored
 when using the wrapper scripts.

 <p>The scripts generated by this task are intended to be committed to your version control system. This task also
 generates a small <code>gradle-wrapper.jar</code> bootstrap JAR file and properties file which should also be committed to
 your VCS. The scripts delegates to this JAR.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.DistributionType</a></strong></code>
<div class="block">Specifies the Gradle distribution type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.PathBase.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.PathBase</a></strong></code>
<div class="block">Specifies how the wrapper path should be interpreted.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#DEFAULT_DISTRIBUTION_PARENT_NAME">DEFAULT_DISTRIBUTION_PARENT_NAME</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#Wrapper()">Wrapper</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.PathBase.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.PathBase</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getArchiveBase()">getArchiveBase</a></strong>()</code>
<div class="block">The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the
 gradle user home dir.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getArchivePath()">getArchivePath</a></strong>()</code>
<div class="block">Returns the path where the gradle distributions archive should be saved (i.e.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.DistributionType</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getAvailableDistributionTypes()">getAvailableDistributionTypes</a></strong>()</code>
<div class="block">The list of available gradle distribution types.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getBatchScript()">getBatchScript</a></strong>()</code>
<div class="block">Returns the file to write the wrapper batch script to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.PathBase.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.PathBase</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getDistributionBase()">getDistributionBase</a></strong>()</code>
<div class="block">The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in
 the gradle user home dir.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getDistributionPath()">getDistributionPath</a></strong>()</code>
<div class="block">Returns the path where the gradle distributions needed by the wrapper are unzipped.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.DistributionType</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getDistributionType()">getDistributionType</a></strong>()</code>
<div class="block">Returns the type of the Gradle distribution to be used by the wrapper.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getDistributionUrl()">getDistributionUrl</a></strong>()</code>
<div class="block">The URL to download the gradle distribution from.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.api.internal.file.FileLookup</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getFileLookup()">getFileLookup</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getGradleVersion()">getGradleVersion</a></strong>()</code>
<div class="block">Returns the gradle version for the wrapper.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getJarFile()">getJarFile</a></strong>()</code>
<div class="block">Returns the file to write the wrapper jar file to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getPropertiesFile()">getPropertiesFile</a></strong>()</code>
<div class="block">Returns the file to write the wrapper properties to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getScriptFile()">getScriptFile</a></strong>()</code>
<div class="block">Returns the file to write the wrapper script to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setArchiveBase(org.gradle.api.tasks.wrapper.Wrapper.PathBase)">setArchiveBase</a></strong>(<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.PathBase.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.PathBase</a>&nbsp;archiveBase)</code>
<div class="block">The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the
 gradle user home dir.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setArchivePath(java.lang.String)">setArchivePath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;archivePath)</code>
<div class="block">Set's the path where the gradle distributions archive should be saved (i.e.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setDistributionBase(org.gradle.api.tasks.wrapper.Wrapper.PathBase)">setDistributionBase</a></strong>(<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.PathBase.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.PathBase</a>&nbsp;distributionBase)</code>
<div class="block">The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in
 the gradle user home dir.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setDistributionPath(java.lang.String)">setDistributionPath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;distributionPath)</code>
<div class="block">Sets the path where the gradle distributions needed by the wrapper are unzipped.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setDistributionType(org.gradle.api.tasks.wrapper.Wrapper.DistributionType)">setDistributionType</a></strong>(<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.DistributionType</a>&nbsp;distributionType)</code>
<div class="block">The type of the Gradle distribution to be used by the wrapper.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setDistributionUrl(java.lang.String)">setDistributionUrl</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url)</code>
<div class="block">The URL to download the gradle distribution from.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setGradleVersion(java.lang.String)">setGradleVersion</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gradleVersion)</code>
<div class="block">The version of the gradle distribution required by the wrapper.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setJarFile(java.io.File)">setJarFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;jarFile)</code>
<div class="block">The file to write the wrapper jar file to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setJarFile(java.lang.Object)">setJarFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;jarFile)</code>
<div class="block">The file to write the wrapper jar file to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setScriptFile(java.io.File)">setScriptFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;scriptFile)</code>
<div class="block">The file to write the wrapper script to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setScriptFile(java.lang.Object)">setScriptFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;scriptFile)</code>
<div class="block">The file to write the wrapper script to.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_DISTRIBUTION_PARENT_NAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_DISTRIBUTION_PARENT_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DEFAULT_DISTRIBUTION_PARENT_NAME</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#org.gradle.api.tasks.wrapper.Wrapper.DEFAULT_DISTRIBUTION_PARENT_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Wrapper()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Wrapper</h4>
<pre>public&nbsp;Wrapper()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFileLookup()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileLookup</h4>
<pre>@Inject
protected&nbsp;org.gradle.api.internal.file.FileLookup&nbsp;getFileLookup()</pre>
</li>
</ul>
<a name="getScriptFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScriptFile</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputFile.html" title="annotation in org.gradle.api.tasks">@OutputFile</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getScriptFile()</pre>
<div class="block">Returns the file to write the wrapper script to.</div>
</li>
</ul>
<a name="setScriptFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScriptFile</h4>
<pre>public&nbsp;void&nbsp;setScriptFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;scriptFile)</pre>
<div class="block">The file to write the wrapper script to.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setScriptFile(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScriptFile</h4>
<pre>public&nbsp;void&nbsp;setScriptFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;scriptFile)</pre>
<div class="block">The file to write the wrapper script to.</div>
</li>
</ul>
<a name="getBatchScript()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBatchScript</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputFile.html" title="annotation in org.gradle.api.tasks">@OutputFile</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getBatchScript()</pre>
<div class="block">Returns the file to write the wrapper batch script to.</div>
</li>
</ul>
<a name="getJarFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJarFile</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputFile.html" title="annotation in org.gradle.api.tasks">@OutputFile</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getJarFile()</pre>
<div class="block">Returns the file to write the wrapper jar file to.</div>
</li>
</ul>
<a name="setJarFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJarFile</h4>
<pre>public&nbsp;void&nbsp;setJarFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;jarFile)</pre>
<div class="block">The file to write the wrapper jar file to.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setJarFile(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJarFile</h4>
<pre>public&nbsp;void&nbsp;setJarFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;jarFile)</pre>
<div class="block">The file to write the wrapper jar file to.</div>
</li>
</ul>
<a name="getPropertiesFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPropertiesFile</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputFile.html" title="annotation in org.gradle.api.tasks">@OutputFile</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getPropertiesFile()</pre>
<div class="block">Returns the file to write the wrapper properties to.</div>
</li>
</ul>
<a name="getDistributionPath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistributionPath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDistributionPath()</pre>
<div class="block">Returns the path where the gradle distributions needed by the wrapper are unzipped. The path is relative to the
 distribution base directory</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setDistributionPath(java.lang.String)"><code>setDistributionPath(String)</code></a></dd></dl>
</li>
</ul>
<a name="setDistributionPath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDistributionPath</h4>
<pre>public&nbsp;void&nbsp;setDistributionPath(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;distributionPath)</pre>
<div class="block">Sets the path where the gradle distributions needed by the wrapper are unzipped. The path is relative to the
 distribution base directory</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setDistributionPath(java.lang.String)"><code>setDistributionPath(String)</code></a></dd></dl>
</li>
</ul>
<a name="getGradleVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGradleVersion</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getGradleVersion()</pre>
<div class="block">Returns the gradle version for the wrapper.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setGradleVersion(java.lang.String)"><code>setGradleVersion(String)</code></a></dd></dl>
</li>
</ul>
<a name="setGradleVersion(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGradleVersion</h4>
<pre>public&nbsp;void&nbsp;setGradleVersion(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gradleVersion)</pre>
<div class="block">The version of the gradle distribution required by the wrapper. This is usually the same version of Gradle you
 use for building your project.</div>
</li>
</ul>
<a name="getDistributionType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistributionType</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.DistributionType</a>&nbsp;getDistributionType()</pre>
<div class="block">Returns the type of the Gradle distribution to be used by the wrapper.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#setDistributionType(org.gradle.api.tasks.wrapper.Wrapper.DistributionType)"><code>setDistributionType(DistributionType)</code></a></dd></dl>
</li>
</ul>
<a name="setDistributionType(org.gradle.api.tasks.wrapper.Wrapper.DistributionType)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDistributionType</h4>
<pre>public&nbsp;void&nbsp;setDistributionType(<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.DistributionType</a>&nbsp;distributionType)</pre>
<div class="block">The type of the Gradle distribution to be used by the wrapper. By default, this is <a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html#BIN"><code>Wrapper.DistributionType.BIN</code></a>,
 which is the binary-only Gradle distribution without documentation.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper"><code>Wrapper.DistributionType</code></a></dd></dl>
</li>
</ul>
<a name="getAvailableDistributionTypes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAvailableDistributionTypes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.DistributionType</a>&gt;&nbsp;getAvailableDistributionTypes()</pre>
<div class="block">The list of available gradle distribution types.</div>
</li>
</ul>
<a name="getDistributionUrl()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistributionUrl</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDistributionUrl()</pre>
<div class="block">The URL to download the gradle distribution from.

 <p>If not set, the download URL is the default for the specified <a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getGradleVersion()"><code>getGradleVersion()</code></a>.

 <p>If <a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getGradleVersion()"><code>getGradleVersion()</code></a> is not set, will return null.

 <p>The wrapper downloads a certain distribution only once and caches it. If your distribution base is the
 project, you might submit the distribution to your version control system. That way no download is necessary at
 all. This might be in particular interesting, if you provide a custom gradle snapshot to the wrapper, because you
 don't need to provide a download server then.</div>
</li>
</ul>
<a name="setDistributionUrl(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDistributionUrl</h4>
<pre>public&nbsp;void&nbsp;setDistributionUrl(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;url)</pre>
<div class="block">The URL to download the gradle distribution from.

 <p>If not set, the download URL is the default for the specified <a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getGradleVersion()"><code>getGradleVersion()</code></a>.

 <p>If <a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getGradleVersion()"><code>getGradleVersion()</code></a> is not set, will return null.

 <p>The wrapper downloads a certain distribution only once and caches it. If your distribution base is the
 project, you might submit the distribution to your version control system. That way no download is necessary at
 all. This might be in particular interesting, if you provide a custom gradle snapshot to the wrapper, because you
 don't need to provide a download server then.</div>
</li>
</ul>
<a name="getDistributionBase()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistributionBase</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.PathBase.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.PathBase</a>&nbsp;getDistributionBase()</pre>
<div class="block">The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in
 the gradle user home dir.</div>
</li>
</ul>
<a name="setDistributionBase(org.gradle.api.tasks.wrapper.Wrapper.PathBase)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDistributionBase</h4>
<pre>public&nbsp;void&nbsp;setDistributionBase(<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.PathBase.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.PathBase</a>&nbsp;distributionBase)</pre>
<div class="block">The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in
 the gradle user home dir.</div>
</li>
</ul>
<a name="getArchivePath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArchivePath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getArchivePath()</pre>
<div class="block">Returns the path where the gradle distributions archive should be saved (i.e. the parent dir). The path is
 relative to the archive base directory.</div>
</li>
</ul>
<a name="setArchivePath(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArchivePath</h4>
<pre>public&nbsp;void&nbsp;setArchivePath(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;archivePath)</pre>
<div class="block">Set's the path where the gradle distributions archive should be saved (i.e. the parent dir). The path is relative
 to the parent dir specified with <a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.html#getArchiveBase()"><code>getArchiveBase()</code></a>.</div>
</li>
</ul>
<a name="getArchiveBase()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArchiveBase</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.PathBase.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.PathBase</a>&nbsp;getArchiveBase()</pre>
<div class="block">The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the
 gradle user home dir.</div>
</li>
</ul>
<a name="setArchiveBase(org.gradle.api.tasks.wrapper.Wrapper.PathBase)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setArchiveBase</h4>
<pre>public&nbsp;void&nbsp;setArchiveBase(<a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.PathBase.html" title="enum in org.gradle.api.tasks.wrapper">Wrapper.PathBase</a>&nbsp;archiveBase)</pre>
<div class="block">The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the
 gradle user home dir.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../org/gradle/api/tasks/wrapper/Wrapper.DistributionType.html" title="enum in org.gradle.api.tasks.wrapper"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/tasks/wrapper/Wrapper.html" target="_top">Frames</a></li>
<li><a href="Wrapper.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
